Bug 1074210 - [abrt] bash: read_alias_file(): bash killed by SIGSEGV
Summary: [abrt] bash: read_alias_file(): bash killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gettext
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d815ed4dfd225bf3b5b255832f2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-08 23:11 UTC by John Schmitt
Modified: 2016-10-03 11:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 19:22:01 UTC


Attachments (Terms of Use)
File: backtrace (26.11 KB, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details
File: core_backtrace (5.25 KB, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details
File: dso_list (580 bytes, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details
File: environ (2.30 KB, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details
File: maps (2.49 KB, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details
File: open_fds (165 bytes, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details
File: var_log_messages (191 bytes, text/plain)
2014-03-08 23:11 UTC, John Schmitt
no flags Details

Description John Schmitt 2014-03-08 23:11:18 UTC
Description of problem:
Do not know.  I was away from the machine at the time.  It had tmux running in the forground.

Version-Release number of selected component:
bash-4.2.45-4.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        sh -c 'eval $POWERLINE_COMMAND tmux left'
crash_function: read_alias_file
executable:     /usr/bin/bash
kernel:         3.13.5-200.fc20.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 read_alias_file at localealias.c:258
 #1 _nl_expand_alias at localealias.c:188
 #2 _nl_find_domain at finddomain.c:118
 #3 __dcigettext at dcigettext.c:626
 #4 __dcgettext at dcgettext.c:52
 #5 notify_of_job_status at jobs.c:3549
 #6 notify_and_cleanup at jobs.c:2664
 #7 wait_for at jobs.c:2611
 #8 execute_command_internal at execute_cmd.c:787
 #9 parse_and_execute at evalstring.c:319

Comment 1 John Schmitt 2014-03-08 23:11:22 UTC
Created attachment 872288 [details]
File: backtrace

Comment 2 John Schmitt 2014-03-08 23:11:24 UTC
Created attachment 872289 [details]
File: cgroup

Comment 3 John Schmitt 2014-03-08 23:11:26 UTC
Created attachment 872290 [details]
File: core_backtrace

Comment 4 John Schmitt 2014-03-08 23:11:27 UTC
Created attachment 872291 [details]
File: dso_list

Comment 5 John Schmitt 2014-03-08 23:11:28 UTC
Created attachment 872292 [details]
File: environ

Comment 6 John Schmitt 2014-03-08 23:11:30 UTC
Created attachment 872293 [details]
File: exploitable

Comment 7 John Schmitt 2014-03-08 23:11:32 UTC
Created attachment 872294 [details]
File: limits

Comment 8 John Schmitt 2014-03-08 23:11:33 UTC
Created attachment 872295 [details]
File: maps

Comment 9 John Schmitt 2014-03-08 23:11:35 UTC
Created attachment 872296 [details]
File: open_fds

Comment 10 John Schmitt 2014-03-08 23:11:36 UTC
Created attachment 872297 [details]
File: proc_pid_status

Comment 11 John Schmitt 2014-03-08 23:11:37 UTC
Created attachment 872298 [details]
File: var_log_messages

Comment 12 Ondrej Oprala 2014-04-01 11:31:16 UTC
Thanks for the report.
Looking at ABRT-generated files, bash actually crashed in one of the functions in the gettext library bash uses.

Moving to gettext. Hopefully its maintainer will be able to bring some insight into this.

Comment 13 John Schmitt 2014-06-19 16:40:07 UTC
What info is needed?  I have not been able to reproduce this recently...

Comment 14 Ondrej Oprala 2014-06-20 09:05:17 UTC
Sorry, my bad, meant to set needinfo to Daiki.

Comment 15 Fedora End Of Life 2015-05-29 11:11:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-06-29 19:22:01 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 Daiki Ueno 2016-10-03 11:07:35 UTC
I am afraid I cannot say anything from the provided backtrace.  Perhaps you might want to talk to glibc people if the problem still persists.

Comment 18 Pavel Raiskup 2016-10-03 11:33:03 UTC
John, or anybody, feel free to reopen if this happens again.


Note You need to log in before you can comment on or make changes to this bug.